---
apiVersion: v1
# The repository name in registry1, excluding /ironbank/
name: "confluentinc/cp-enterprise-replicator"
# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dso.mil
tags:
  - "7.5.0-1-ubi8"
  - "7.5.0"
  - "7.5.x"
  - "7.5"
# Build args passed to Dockerfile ARGs
args:
  CP_ENTERPRISE_REPLICATOR_BASE_IMAGE: "confluentinc/cp-enterprise-replicator"
  CP_ENTERPRISE_REPLICATOR_SERVER_BASE_TAG: "7.5.0"
  BASE_IMAGE: "confluentinc/cp-base-new"
  BASE_TAG: "Q2_2023"
  CONFLUENT_VERSION: "7.5.0"
# Docker image labels
labels:
  org.opencontainers.image.title: "cp-enterprise-replicator"
  org.opencontainers.image.description: "Official Confluent Docker Image for Replicator"
  org.opencontainers.image.licenses: "CONFLUENT ENTERPRISE LICENSE"
  org.opencontainers.image.url: "https://docs.confluent.io/platform/current/overview.html"
  org.opencontainers.image.vendor: "Confluent"
  org.opencontainers.image.version: "7.5.0"
  mil.dso.ironbank.image.keywords: "confluent,cflt,kafka,replicator,operator,cfk"
  mil.dso.ironbank.image.type: "commercial"
  mil.dso.ironbank.product.name: "Confluent Platform"
resources:
  - tag: confluentinc/cp-enterprise-replicator:7.5.0
    url: docker://docker.io/confluentinc/cp-enterprise-replicator:7.5.0
  - filename: confluent-common-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-common-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 3abc7cda618d71c051d38a3b035fbc9c3275c24e58a8a2ffd1ea8d8895951f38
  - filename: confluent-rebalancer-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-rebalancer-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: cf5062a10fc5a89f2aa7ff1b84915129ecb949e240062c0fac5c434551026d94
  - filename: confluent-rest-utils-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-rest-utils-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 710316b8f85d9fbbb65a283a517545f5b907d5619f8e531ab86835a5868b0704
  - filename: confluent-security-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-security-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 74a091585788db1d27f86575118429f04c32662a75db21c384143c4bafcaab8c
  - filename: confluent-metadata-service-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-metadata-service-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 6fddf2229c946869e457d82969960b3ff4fb1193d4156cc2df3365ed6c468b3b
  - filename: confluent-server-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-server-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 62a63150c8c18d40af4d49f2fa6847fccc9607c202745422e7e54c2a1b098545
  - filename: confluent-ce-kafka-http-server-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-ce-kafka-http-server-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: e04b5cce8df06ab9dbbeee51efa2d03b4586bef97b2b9d9520e8a999df35c0e1
  - filename: confluent-server-rest-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-server-rest-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 40247e2e1628efc0f6637cbfbe4236cbd711c9c890b41cf7e27f20bac7d3955a
  - filename: confluent-telemetry-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-telemetry-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: d3ec0b0451596de2801b96c88f579386c5fe0bb11573539e3f3b39ba261f969d
  - filename: confluent-kafka-rest-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-kafka-rest-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 22e65ff56e13a39803986b1e41cdbd8f627885432f46e2241359e271fe0866cf
  - filename: confluent-hub-client-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-hub-client-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 333f7a7e78739d7b03eb5ff157dff521bfeb8189321d086491715c735ae2efba
  - filename: confluent-control-center-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-control-center-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 1442003320ff3c948954a094ff27c0e4a3e3131e6ee3f82314b8d9ceddbd856b
  - filename: confluent-control-center-fe-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-control-center-fe-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: dc9dbb683c02a37f73359f6866c697b03c479ab0e14daee5af2a16d85188eb8f
  - filename: confluent-schema-registry-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-schema-registry-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 436489f27eb606a87da2230bfc3796d0e8672250d2dd7aada7cc471fbf2a7270
  - filename: confluent-kafka-connect-replicator-7.5.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-kafka-connect-replicator-7.5.0-1.noarch.rpm
    validation:
      type: sha256
      value: 47f47a1c1c6799fbf927022de0951a48eaa3539343245661f8b9d342ea5d9d23
# List of project maintainers
maintainers:
  - name: "Scott Stroud"
    username: "scottstroud"
    email: "confluent-fed@confluent.io"
    cht_member: false
  - name: "Preston McGowan"
    username: "preston.mcgowan"
    email: "confluent-fed@confluent.io"
    cht_member: false
  - name: "Gary Hott"
    username: "garyhott86"
    email: "confluent-fed@confluent.io"
    cht_member: false
